summaryrefslogtreecommitdiff
path: root/spinp
diff options
context:
space:
mode:
authorrsc <rsc>2007-10-12 04:21:04 +0000
committerrsc <rsc>2007-10-12 04:21:04 +0000
commit949352af6695cfbfc91a5c0e24ddae95c497b008 (patch)
tree8c71eb07cff4d0e226639de07ef9d343b8d594e5 /spinp
parent943fd378a1324ca60da72b271769fea4a86e36cb (diff)
downloadxv6-labs-949352af6695cfbfc91a5c0e24ddae95c497b008.tar.gz
xv6-labs-949352af6695cfbfc91a5c0e24ddae95c497b008.tar.bz2
xv6-labs-949352af6695cfbfc91a5c0e24ddae95c497b008.zip
Model verifying that wakeup really
can be called after release without causing deadlock.
Diffstat (limited to 'spinp')
-rwxr-xr-xspinp16
1 files changed, 16 insertions, 0 deletions
diff --git a/spinp b/spinp
new file mode 100755
index 0000000..db9614b
--- /dev/null
+++ b/spinp
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+if [ $# != 1 ] || [ ! -f "$1" ]; then
+ echo 'usage: spinp file.p' 1>&2
+ exit 1
+fi
+
+rm -f $1.trail
+spin -a $1 || exit 1
+cc -DSAFETY -DREACH -DMEMLIM=500 -o pan pan.c
+pan -i
+rm pan.* pan
+if [ -f $1.trail ]; then
+ spin -t -p $1
+fi
+